Subject: [bug#52592] [PATCH] gnu: mono: Update to 4.8.1.0.

From: Andy Tai <[email-masked]>
Date: Sat, 18 Dec 2021 17:28:37 -0800

In any case, if you want to revert it, go ahead. I am now trying to
upgrade to Mono 6.

On Sat, Dec 18, 2021 at 4:25 PM Andy Tai <[email-masked]> wrote:
>
> It did pass for me.  I am not sure why the behavior can be different.
>
> On Sat, Dec 18, 2021 at 3:45 PM Leo Famulari <[email-masked]> wrote:
> >
> > On Sat, Dec 18, 2021 at 01:25:48PM -0800, Andy Tai wrote:
> > > Yes, it is intentional.    The build process needs cmake.  I am not
> > > sure how that is to be stated in the commit message.
> >
> > Okay. The commit message would look like this:
> >
> > ------
> > gnu: mono: Update to 4.8.1.0.
> >
> > gnu/packages/mono.scm (mono): Update to 4.8.1.0.
> > [native-inputs]: Add cmake-minimal
> > ------
> >
> > I amended the commit message, applied the patch on the 'master' branch
> > [0], and then built the package. However, it fails to build, like this:
> >
> > ------
> > Assembling 'event-il.il' , no listing file, to exe --> 'event-il.exe'
> >
> > Operation completed successfully
> > MONO_PATH=/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mcs/class/lib/net_4_x ../../runtime/mono-wrapper /tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mcs/class/lib/net_4_x/ilasm.exe -out:module-cctor.exe module-cctor.il
> > Assembling 'module-cctor.il' , no listing file, to exe --> 'module-cctor.exe'
> >
> > Operation completed successfully
> > make[5]: *** No rule to make target 'TestingReferenceAssembly.dll', needed by 'runtest-managed'.  Stop.
> > make[5]: Leaving directory '/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mono/tests'
> > make[4]: *** [Makefile:1874: testjit] Error 2
> > make[4]: Leaving directory '/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mono/tests'
> > make[3]: *** [Makefile:1584: check-am] Error 2
> > make[3]: Leaving directory '/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mono/tests'
> > make[2]: *** [Makefile:1436: check-recursive] Error 1
> > make[2]: Leaving directory '/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mono/tests'
> > make[1]: *** [Makefile:445: check-recursive] Error 1
> > make[1]: Leaving directory '/tmp/guix-build-mono-4.8.1.0.drv-0/mono-4.8.1/mono'
> > make: *** [Makefile:525: check-recursive] Error 1
> >
> > Test suite failed, dumping logs.
> > error: in phase 'check': uncaught exception:
> > %exception #<&invoke-error program: "make" arguments: ("check" "PLATFORM_DISABLED_TESTS= appdomain-unload.exe delegate2.exe finally_guard.exe remoting4.exe") exit-status: 2 term-signal: #f stop-signal: #f>
> > phase `check' failed after 215.7 seconds
> > command "make" "check" "PLATFORM_DISABLED_TESTS= appdomain-unload.exe delegate2.exe finally_guard.exe remoting4.exe" failed with status 2
> > builder for `/gnu/store/h272hagn74q18q4djhkar1fg9ksqnxp3-mono-4.8.1.0.drv' failed with exit code 1
> > build of /gnu/store/h272hagn74q18q4djhkar1fg9ksqnxp3-mono-4.8.1.0.drv failed
> > ------
> >
> > Any ideas? Does it work for you?
> >
> > [0] On commit f6e79ef108a206a2fb3db550d76de760d581f8a8
>
>
>
> --
> Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat: andytai1010
> Year 2021 民國110年
> 自動的精神力是信仰與覺悟
> 自動的行為力是勞動與技能

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat: andytai1010
Year 2021 民國110年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能